Table of Contents

Module: tkinternet | Twisted-0.17.4/twisted/internet/tkinternet.py
--- | ---

This module integrates Tkinter with twisted.internet's mainloop.

Imported modules |
--- | ---
import main from main import addReader, addWriter, addDelayed import select import task from task import schedule from twisted.python import threadable
Functions |
install isInIOThread stop waiter wakeAddDelayed wakeAddReader wakeAddWriter wakeTaskSchedule worker
| install

    install ( widget )

| isInIOThread

    isInIOThread ()

| stop

    stop ()

| waiter

    waiter ()

| wakeAddDelayed

    wakeAddDelayed ( delayed )

| wakeAddReader

    wakeAddReader ( reader )

| wakeAddWriter

    wakeAddWriter ( writer )

| wakeTaskSchedule

    wakeTaskSchedule (
            function,
            *args,
            *kw,
            )

| worker

    worker ()

Classes |

Simulator |

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:49 2002 by HappyDoc version 2.0